weka.knowledgeflow.steps

## Class ASSearchStrategy

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.WekaAlgorithmWrapper
    - - weka.knowledgeflow.steps.ASSearchStrategy

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="ASSearchStrategy",
              category="AttSelection",
              toolTipText="Weka attribute selection search wrapper",
              iconPath="")
      public class ASSearchStrategy
      extends WekaAlgorithmWrapper

  Step that wraps a Weka attribute selection search strategy. This is just an "info" step - i.e. it needs to be connection (via an StepManager.CON_INFO) connection to a ASEvaluator step.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    `ASEvaluator`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASSearchStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of incoming connections that this step accepts.
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connections from this step.
    `ASSearch` | `getSearchStrategy()` Get the search strategy wrapped by this step
    `java.lang.Class` | `getWrappedAlgorithmClass()` Get the class of the algorithm wrapped by this wrapper step (ASSearch in this case).
    `void` | `setSearchStrategy(ASSearch searchStrategy)` Set the search strategy wrapped by this step (calls setWrappedAlgorithm)
    `void` | `setWrappedAlgorithm(java.lang.Object algo)` Set the actual algorithm wrapped by this instance
    `void` | `stepInit()` Initialize the step

    - ### Methods inherited from class weka.knowledgeflow.steps.WekaAlgorithmWrapper

      `getDefaultIconPath, getDefaultPackageLevelIconPath, getIconPath, getWrappedAlgorithm, globalInfo`

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, isResourceIntensive, isStopRequested, outputStructureForConnectionType, processIncoming, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASSearchStrategy

          public ASSearchStrategy()

  - ### Method Detail

    - #### stepInit

          public void stepInit()

      Initialize the step

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of incoming connections that this step accepts. This step is an info only step, so no incoming connections are allowed
      Returns:
        a list of connections that this step accepts

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connections from this step. This step is an info only step, so the only outgoing connection is of type "info".
      Returns:
        a list of outgoing connections

    - #### getWrappedAlgorithmClass

          public java.lang.Class getWrappedAlgorithmClass()

      Get the class of the algorithm wrapped by this wrapper step (ASSearch in this case).
      Specified by:
        `getWrappedAlgorithmClass` in class `WekaAlgorithmWrapper`
      Returns:
        the class of the wrapped algorithm

    - #### setWrappedAlgorithm

          public void setWrappedAlgorithm(java.lang.Object algo)

      Set the actual algorithm wrapped by this instance
      Overrides:
        `setWrappedAlgorithm` in class `WekaAlgorithmWrapper`
      Parameters:
        `algo` - the algorithm wrapped

    - #### setSearchStrategy

          @ProgrammaticProperty
          public void setSearchStrategy(ASSearch searchStrategy)

      Set the search strategy wrapped by this step (calls setWrappedAlgorithm)
      Parameters:
        `searchStrategy` - the search strategy to wrap

    - #### getSearchStrategy

          public ASSearch getSearchStrategy()

      Get the search strategy wrapped by this step
      Returns: